import * as constant from './contants';

export function getValueForKey(obj: any) {
  const arr: any[] = [];
  for (const k in obj) {
    arr.push({
      label: obj[k],
      value: k
    });
  }
  return arr;
}

// 教材
export const teachingArray = getValueForKey(constant.teaching);

// 乐器
export const instrumentArray = getValueForKey(constant.instrument);

// 资源类型
export const resourceTypeArray = getValueForKey(constant.resourceType);

// 训练状态
export const trainingStatusArray = getValueForKey(constant.trainingStatus);
/**
 * @description: 评测难度
 * 入门：BEGINNER/进阶：ADVANCED/大师：PERFORMER")
 */
export const evaluateDifficultArray = getValueForKey(constant.evaluateDifficult)
